Bug 261079 - Crash of Enhance->Lens->Auto-Correction
Summary: Crash of Enhance->Lens->Auto-Correction
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-Editor-LensCorrection (show other bugs)
Version: 1.7.0
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-23 16:24 UTC by Sergey Salnikov
Modified: 2016-07-01 09:22 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 3.0.0


Attachments
Photo (453.53 KB, image/jpeg)
2010-12-23 17:51 UTC, Sergey Salnikov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Salnikov 2010-12-23 16:24:51 UTC
Application: digikam (1.7.0)
KDE Platform Version: 4.5.4 (KDE 4.5.4) "release 9"
Qt Version: 4.7.1
Operating System: Linux 2.6.34.7-0.5-desktop i686
Distribution: "openSUSE 11.3 (i586)"

-- Information about the crash:
- What I was doing when the application crashed:

I was trying to use Enhance->Lens->Auto-Correction with different pictures from different cameras (Canon PowerShot S5 IS, Canon EOS 60D, Nikon D80).

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0xb2101740 (LWP 14120))]

Thread 18 (Thread 0xafad0b70 (LWP 14123)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb43b2125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb496e24c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb56d5aa0 in wait (this=0x8553618, mutex=0x8553614, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x8553618, mutex=0x8553614, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0x0822ad8a in Digikam::ScanController::run (this=0x85c0058) at /usr/src/debug/digikam-1.7.0/digikam/scancontroller.cpp:571
#6  0xb56d539a in QThreadPrivate::start (arg=0x85c0058) at thread/qthread_unix.cpp:285
#7  0xb43adb25 in start_thread () from /lib/libpthread.so.0
#8  0xb496046e in clone () from /lib/libc.so.6

Thread 17 (Thread 0xaf2cfb70 (LWP 14127)):
#0  0xb2957141 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#1  0xb2957f22 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0xb295860e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0xb5802da7 in QEventDispatcherGlib::processEvents (this=0x8804ab8, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#4  0xb57d389d in QEventLoop::processEvents (this=0xaf2cf2b0, flags=...) at kernel/qeventloop.cpp:149
#5  0xb57d3ac9 in QEventLoop::exec (this=0xaf2cf2b0, flags=...) at kernel/qeventloop.cpp:201
#6  0xb56d27a9 in QThread::exec (this=0x867fdc8) at thread/qthread.cpp:490
#7  0xb65f5dfb in Digikam::ImageFilterModelWorker::Thread::run (this=0x867fdc8) at /usr/src/debug/digikam-1.7.0/libs/models/imagefiltermodelthreads.h:74
#8  0xb56d539a in QThreadPrivate::start (arg=0x867fdc8) at thread/qthread_unix.cpp:285
#9  0xb43adb25 in start_thread () from /lib/libpthread.so.0
#10 0xb496046e in clone () from /lib/libc.so.6

Thread 16 (Thread 0xaeaceb70 (LWP 14128)):
#0  0xb2a0422b in clock_gettime () from /lib/librt.so.1
#1  0xb5730265 in do_gettime () at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0xb5803d26 in updateCurrentTime (this=0x8773074, tm=...) at kernel/qeventdispatcher_unix.cpp:339
#4  QTimerInfoList::timerWait (this=0x8773074, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0xb580255b in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xaeace11c) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb58025fd in timerSourcePrepare (source=0x8773040, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0xb29570c0 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#8  0xb2957f22 in ?? () from /usr/lib/libglib-2.0.so.0
#9  0xb295860e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#10 0xb5802da7 in QEventDispatcherGlib::processEvents (this=0x87615b0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#11 0xb57d389d in QEventLoop::processEvents (this=0xaeace2b0, flags=...) at kernel/qeventloop.cpp:149
#12 0xb57d3ac9 in QEventLoop::exec (this=0xaeace2b0, flags=...) at kernel/qeventloop.cpp:201
#13 0xb56d27a9 in QThread::exec (this=0x86b0c68) at thread/qthread.cpp:490
#14 0xb65f5dfb in Digikam::ImageFilterModelWorker::Thread::run (this=0x86b0c68) at /usr/src/debug/digikam-1.7.0/libs/models/imagefiltermodelthreads.h:74
#15 0xb56d539a in QThreadPrivate::start (arg=0x86b0c68) at thread/qthread_unix.cpp:285
#16 0xb43adb25 in start_thread () from /lib/libpthread.so.0
#17 0xb496046e in clone () from /lib/libc.so.6

Thread 15 (Thread 0xaac4cb70 (LWP 14129)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb43b2125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb496e24c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb56d5aa0 in wait (this=0x869dff0, mutex=0x869dfec, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x869dff0, mutex=0x869dfec, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb6912f94 in Digikam::ParkingThread::run (this=0x869dfe0) at /usr/src/debug/digikam-1.7.0/libs/threads/threadmanager.cpp:119
#6  0xb56d539a in QThreadPrivate::start (arg=0x869dfe0) at thread/qthread_unix.cpp:285
#7  0xb43adb25 in start_thread () from /lib/libpthread.so.0
#8  0xb496046e in clone () from /lib/libc.so.6

Thread 14 (Thread 0xaa44bb70 (LWP 14130)):
#0  0xb43b14a0 in __pthread_mutex_unlock_usercnt () from /lib/libpthread.so.0
#1  0xb496e4a4 in pthread_mutex_unlock () from /lib/libc.so.6
#2  0xb29570b3 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#3  0xb2957f22 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0xb295860e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0xb5802da7 in QEventDispatcherGlib::processEvents (this=0x869f720, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#6  0xb57d389d in QEventLoop::processEvents (this=0xaa44b2d0, flags=...) at kernel/qeventloop.cpp:149
#7  0xb57d3ac9 in QEventLoop::exec (this=0xaa44b2d0, flags=...) at kernel/qeventloop.cpp:201
#8  0xb56d27a9 in QThread::exec (this=0x86f1f70) at thread/qthread.cpp:490
#9  0xb56d539a in QThreadPrivate::start (arg=0x86f1f70) at thread/qthread_unix.cpp:285
#10 0xb43adb25 in start_thread () from /lib/libpthread.so.0
#11 0xb496046e in clone () from /lib/libc.so.6

Thread 13 (Thread 0xa9c4ab70 (LWP 14131)):
#0  0xb43b1494 in __pthread_mutex_unlock_usercnt () from /lib/libpthread.so.0
#1  0xb496e4a4 in pthread_mutex_unlock () from /lib/libc.so.6
#2  0xb2957001 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#3  0xb2957f22 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0xb295860e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0xb5802da7 in QEventDispatcherGlib::processEvents (this=0x87ab858, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#6  0xb57d389d in QEventLoop::processEvents (this=0xa9c4a2d0, flags=...) at kernel/qeventloop.cpp:149
#7  0xb57d3ac9 in QEventLoop::exec (this=0xa9c4a2d0, flags=...) at kernel/qeventloop.cpp:201
#8  0xb56d27a9 in QThread::exec (this=0x8665c70) at thread/qthread.cpp:490
#9  0xb56d539a in QThreadPrivate::start (arg=0x8665c70) at thread/qthread_unix.cpp:285
#10 0xb43adb25 in start_thread () from /lib/libpthread.so.0
#11 0xb496046e in clone () from /lib/libc.so.6

Thread 12 (Thread 0xa60a4b70 (LWP 14132)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb43b2452 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb496e2a4 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa72bd1d7 in ?? () from /usr/lib/libxine.so.1
#4  0xb43adb25 in start_thread () from /lib/libpthread.so.0
#5  0xb496046e in clone () from /lib/libc.so.6

Thread 11 (Thread 0xa5498b70 (LWP 14133)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb43b2452 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb496e2a4 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa72cbd25 in ?? () from /usr/lib/libxine.so.1
#4  0xb43adb25 in start_thread () from /lib/libpthread.so.0
#5  0xb496046e in clone () from /lib/libc.so.6

Thread 10 (Thread 0xa4c97b70 (LWP 14134)):
#0  0xb43afff6 in pthread_mutex_lock () from /lib/libpthread.so.0
#1  0xb496e464 in pthread_mutex_lock () from /lib/libc.so.6
#2  0xb29577ff in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#3  0xb2958108 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0xb295860e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0xb5802da7 in QEventDispatcherGlib::processEvents (this=0x86cacd0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#6  0xb57d389d in QEventLoop::processEvents (this=0xa4c97280, flags=...) at kernel/qeventloop.cpp:149
#7  0xb57d3ac9 in QEventLoop::exec (this=0xa4c97280, flags=...) at kernel/qeventloop.cpp:201
#8  0xb56d27a9 in QThread::exec (this=0x8785b28) at thread/qthread.cpp:490
#9  0xae136dc8 in ?? () from /usr/lib/kde4/plugins/phonon_backend/phonon_xine.so
#10 0xb56d539a in QThreadPrivate::start (arg=0x8785b28) at thread/qthread_unix.cpp:285
#11 0xb43adb25 in start_thread () from /lib/libpthread.so.0
#12 0xb496046e in clone () from /lib/libc.so.6

Thread 9 (Thread 0xa4496b70 (LWP 14137)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb495575e in poll () from /lib/libc.so.6
#2  0xa7176fbc in ?? () from /usr/lib/xine/plugins/1.28/xineplug_ao_out_alsa.so
#3  0xb43adb25 in start_thread () from /lib/libpthread.so.0
#4  0xb496046e in clone () from /lib/libc.so.6

Thread 8 (Thread 0xa3affb70 (LWP 14138)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb43b2125 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb496e24c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa72d0250 in ?? () from /usr/lib/libxine.so.1
#4  0xb43adb25 in start_thread () from /lib/libpthread.so.0
#5  0xb496046e in clone () from /lib/libc.so.6

Thread 7 (Thread 0xa30ffb70 (LWP 14139)):
#0  0xb2a0422b in clock_gettime () from /lib/librt.so.1
#1  0xb5730265 in do_gettime () at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0xb5803d26 in updateCurrentTime (this=0x949099c, tm=...) at kernel/qeventdispatcher_unix.cpp:339
#4  QTimerInfoList::timerWait (this=0x949099c, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0xb580255b in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xa30ff0ec) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb58025fd in timerSourcePrepare (source=0x9490968, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0xb29570c0 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#8  0xb2957f22 in ?? () from /usr/lib/libglib-2.0.so.0
#9  0xb295860e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#10 0xb5802da7 in QEventDispatcherGlib::processEvents (this=0x9496280, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#11 0xb57d389d in QEventLoop::processEvents (this=0xa30ff280, flags=...) at kernel/qeventloop.cpp:149
#12 0xb57d3ac9 in QEventLoop::exec (this=0xa30ff280, flags=...) at kernel/qeventloop.cpp:201
#13 0xb56d27a9 in QThread::exec (this=0x94986b8) at thread/qthread.cpp:490
#14 0xb57b34ad in QInotifyFileSystemWatcherEngine::run (this=0x94986b8) at io/qfilesystemwatcher_inotify.cpp:248
#15 0xb56d539a in QThreadPrivate::start (arg=0x94986b8) at thread/qthread_unix.cpp:285
#16 0xb43adb25 in start_thread () from /lib/libpthread.so.0
#17 0xb496046e in clone () from /lib/libc.so.6

Thread 6 (Thread 0xa28feb70 (LWP 14146)):
#0  0xb2a0422b in clock_gettime () from /lib/librt.so.1
#1  0xb5730265 in do_gettime () at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0xb5803d26 in updateCurrentTime (this=0x976bb44, tm=...) at kernel/qeventdispatcher_unix.cpp:339
#4  QTimerInfoList::timerWait (this=0x976bb44, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0xb580255b in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xa28fe0ec) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb58025fd in timerSourcePrepare (source=0x976bb10, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0xb29570c0 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#8  0xb2957f22 in ?? () from /usr/lib/libglib-2.0.so.0
#9  0xb295860e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#10 0xb5802da7 in QEventDispatcherGlib::processEvents (this=0x976b708, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#11 0xb57d389d in QEventLoop::processEvents (this=0xa28fe280, flags=...) at kernel/qeventloop.cpp:149
#12 0xb57d3ac9 in QEventLoop::exec (this=0xa28fe280, flags=...) at kernel/qeventloop.cpp:201
#13 0xb56d27a9 in QThread::exec (this=0x976a3c0) at thread/qthread.cpp:490
#14 0xb57b34ad in QInotifyFileSystemWatcherEngine::run (this=0x976a3c0) at io/qfilesystemwatcher_inotify.cpp:248
#15 0xb56d539a in QThreadPrivate::start (arg=0x976a3c0) at thread/qthread_unix.cpp:285
#16 0xb43adb25 in start_thread () from /lib/libpthread.so.0
#17 0xb496046e in clone () from /lib/libc.so.6

Thread 5 (Thread 0x9870fb70 (LWP 14176)):
[KCrash Handler]
#7  0xb40163f2 in ?? () from /usr/lib/liblensfun.so.0
#8  0xb4022dac in lfModifier::AddCoordCallbackDistortion(lfLensCalibDistortion&, bool) () from /usr/lib/liblensfun.so.0
#9  0xb40254df in lfModifier::Initialize(lfLens const*, lfPixelFormat, float, float, float, float, lfLensType, int, bool) () from /usr/lib/liblensfun.so.0
#10 0xb687c80c in Digikam::LensFunFilter::filterImage (this=0xe872f70) at /usr/src/debug/digikam-1.7.0/libs/dimg/filters/lens/lensfunfilter.cpp:140
#11 0xb6788730 in Digikam::DImgThreadedFilter::startFilterDirectly (this=0xe872f70) at /usr/src/debug/digikam-1.7.0/libs/dimg/filters/dimgthreadedfilter.cpp:146
#12 0xb67882af in Digikam::DImgThreadedFilter::run (this=0xe872f70) at /usr/src/debug/digikam-1.7.0/libs/dimg/filters/dimgthreadedfilter.cpp:167
#13 0xb69146e6 in Digikam::DynamicThread::DynamicThreadPriv::run (this=0xe874140) at /usr/src/debug/digikam-1.7.0/libs/threads/dynamicthread.cpp:306
#14 0xb56cad63 in QThreadPoolThread::run (this=0xb6c5d78) at concurrent/qthreadpool.cpp:106
#15 0xb56d539a in QThreadPrivate::start (arg=0xb6c5d78) at thread/qthread_unix.cpp:285
#16 0xb43adb25 in start_thread () from /lib/libpthread.so.0
#17 0xb496046e in clone () from /lib/libc.so.6

Thread 4 (Thread 0x8f5ddb70 (LWP 14193)):
#0  0xb2a0422b in clock_gettime () from /lib/librt.so.1
#1  0xb5730265 in do_gettime () at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0xb5803d26 in updateCurrentTime (this=0x8fdf12b4, tm=...) at kernel/qeventdispatcher_unix.cpp:339
#4  QTimerInfoList::timerWait (this=0x8fdf12b4, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0xb580255b in timerSourcePrepareHelper (src=<value optimized out>, timeout=0x8f5dd0ec) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb58025fd in timerSourcePrepare (source=0x8fdf1280, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0xb29570c0 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#8  0xb2957f22 in ?? () from /usr/lib/libglib-2.0.so.0
#9  0xb295860e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#10 0xb5802da7 in QEventDispatcherGlib::processEvents (this=0xba6cbe0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#11 0xb57d389d in QEventLoop::processEvents (this=0x8f5dd280, flags=...) at kernel/qeventloop.cpp:149
#12 0xb57d3ac9 in QEventLoop::exec (this=0x8f5dd280, flags=...) at kernel/qeventloop.cpp:201
#13 0xb56d27a9 in QThread::exec (this=0xba6b820) at thread/qthread.cpp:490
#14 0xb57b34ad in QInotifyFileSystemWatcherEngine::run (this=0xba6b820) at io/qfilesystemwatcher_inotify.cpp:248
#15 0xb56d539a in QThreadPrivate::start (arg=0xba6b820) at thread/qthread_unix.cpp:285
#16 0xb43adb25 in start_thread () from /lib/libpthread.so.0
#17 0xb496046e in clone () from /lib/libc.so.6

Thread 3 (Thread 0x8ecfcb70 (LWP 14200)):
#0  0xb2a0422b in clock_gettime () from /lib/librt.so.1
#1  0xb5730265 in do_gettime () at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0xb5803d26 in updateCurrentTime (this=0xb373d3c, tm=...) at kernel/qeventdispatcher_unix.cpp:339
#4  QTimerInfoList::timerWait (this=0xb373d3c, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0xb580255b in timerSourcePrepareHelper (src=<value optimized out>, timeout=0x8ecfc0ec) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb58025fd in timerSourcePrepare (source=0xb373d08, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0xb29570c0 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#8  0xb2957f22 in ?? () from /usr/lib/libglib-2.0.so.0
#9  0xb295860e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#10 0xb5802da7 in QEventDispatcherGlib::processEvents (this=0xb373940, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#11 0xb57d389d in QEventLoop::processEvents (this=0x8ecfc280, flags=...) at kernel/qeventloop.cpp:149
#12 0xb57d3ac9 in QEventLoop::exec (this=0x8ecfc280, flags=...) at kernel/qeventloop.cpp:201
#13 0xb56d27a9 in QThread::exec (this=0xb372638) at thread/qthread.cpp:490
#14 0xb57b34ad in QInotifyFileSystemWatcherEngine::run (this=0xb372638) at io/qfilesystemwatcher_inotify.cpp:248
#15 0xb56d539a in QThreadPrivate::start (arg=0xb372638) at thread/qthread_unix.cpp:285
#16 0xb43adb25 in start_thread () from /lib/libpthread.so.0
#17 0xb496046e in clone () from /lib/libc.so.6

Thread 2 (Thread 0x8ccf8b70 (LWP 14207)):
#0  0xb496e617 in __libc_enable_asynccancel () from /lib/libc.so.6
#1  0xb4955747 in poll () from /lib/libc.so.6
#2  0xb29681db in g_poll () from /usr/lib/libglib-2.0.so.0
#3  0xb2958286 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0xb295860e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0xb5802da7 in QEventDispatcherGlib::processEvents (this=0xc0e16f0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#6  0xb57d389d in QEventLoop::processEvents (this=0x8ccf8280, flags=...) at kernel/qeventloop.cpp:149
#7  0xb57d3ac9 in QEventLoop::exec (this=0x8ccf8280, flags=...) at kernel/qeventloop.cpp:201
#8  0xb56d27a9 in QThread::exec (this=0xc0e0330) at thread/qthread.cpp:490
#9  0xb57b34ad in QInotifyFileSystemWatcherEngine::run (this=0xc0e0330) at io/qfilesystemwatcher_inotify.cpp:248
#10 0xb56d539a in QThreadPrivate::start (arg=0xc0e0330) at thread/qthread_unix.cpp:285
#11 0xb43adb25 in start_thread () from /lib/libpthread.so.0
#12 0xb496046e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb2101740 (LWP 14120)):
#0  0xb43b14b0 in __pthread_mutex_unlock_usercnt () from /lib/libpthread.so.0
#1  0xb496e4a4 in pthread_mutex_unlock () from /lib/libc.so.6
#2  0xb2568454 in ?? () from /usr/lib/libxcb.so.1
#3  0xb2568a82 in ?? () from /usr/lib/libxcb.so.1
#4  0xb2568b31 in xcb_writev () from /usr/lib/libxcb.so.1
#5  0xb453a490 in _XSend () from /usr/lib/libX11.so.6
#6  0xb2ac235d in ?? () from /usr/lib/libXrender.so.1
#7  0xb2ac2551 in XRenderChangePicture () from /usr/lib/libXrender.so.1
#8  0xb4e9aa7f in ?? () from /usr/lib/libQtGui.so.4
#9  0xb4dd7498 in QPainter::end() () from /usr/lib/libQtGui.so.4
#10 0xb4dd7628 in QPainter::~QPainter() () from /usr/lib/libQtGui.so.4
#11 0xb51004f7 in QMainWindow::event(QEvent*) () from /usr/lib/libQtGui.so.4
#12 0xb5d64ad4 in KMainWindow::event(QEvent*) () from /usr/lib/libkdeui.so.5
#13 0xb5d64d72 in KXmlGuiWindow::event(QEvent*) () from /usr/lib/libkdeui.so.5
#14 0xb4c6f414 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#15 0xb4c781e4 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#16 0xb5cd5991 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#17 0xb57d45be in QCoreApplication::notifyInternal (this=0xbf9396a4, receiver=0x98c8058, event=0xbf938c2c) at kernel/qcoreapplication.cpp:732
#18 0xb1c45720 in ?? () from /usr/lib/kde4/plugins/styles/oxygen.so
#19 0xb1c3aebb in ?? () from /usr/lib/kde4/plugins/styles/oxygen.so
#20 0xb1c426ac in ?? () from /usr/lib/kde4/plugins/styles/oxygen.so
#21 0xb57e99c4 in QObject::event (this=0xe7e6c18, e=0xbf9392cc) at kernel/qobject.cpp:1175
#22 0xb4c6f414 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#23 0xb4c78137 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#24 0xb5cd5991 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#25 0xb57d45be in QCoreApplication::notifyInternal (this=0xbf9396a4, receiver=0xe7e6c18, event=0xbf9392cc) at kernel/qcoreapplication.cpp:732
#26 0xb58059a8 in sendEvent (this=0x84c9534) at kernel/qcoreapplication.h:215
#27 QTimerInfoList::activateTimers (this=0x84c9534) at kernel/qeventdispatcher_unix.cpp:618
#28 0xb5802632 in timerSourceDispatch (source=0x84c9500) at kernel/qeventdispatcher_glib.cpp:184
#29 0xb2957b49 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#30 0xb2958350 in ?? () from /usr/lib/libglib-2.0.so.0
#31 0xb295860e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#32 0xb5802d5b in QEventDispatcherGlib::processEvents (this=0x8494a50, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#33 0xb4d259aa in ?? () from /usr/lib/libQtGui.so.4
#34 0xb57d389d in QEventLoop::processEvents (this=0xbf939574, flags=...) at kernel/qeventloop.cpp:149
#35 0xb57d3ac9 in QEventLoop::exec (this=0xbf939574, flags=...) at kernel/qeventloop.cpp:201
#36 0xb57d8570 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#37 0xb4c6d114 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#38 0x0826f4d3 in main (argc=) at /usr/src/debug/digikam-1.7.0/digikam/main.cpp:216

Possible duplicates by query: bug 257769, bug 255271.

Reported using DrKonqi
Comment 1 caulier.gilles 2010-12-23 16:34:53 UTC
can you provide the image which crash lensfun tool ?

Gilles Caulier
Comment 2 Sergey Salnikov 2010-12-23 17:21:43 UTC
(In reply to comment #1)
> can you provide the image which crash lensfun tool ?
> 
> Gilles Caulier

Can I send an image to your mail?
Comment 3 Sergey Salnikov 2010-12-23 17:51:37 UTC
Created attachment 55188 [details]
Photo

I attach a photo taken with Canon S5 IS. I have chosen a relatively small photo and can send some other.
Comment 4 caulier.gilles 2010-12-29 16:01:35 UTC
Sound like you use and external version of lensfun library.

Here, for digiKam 1.8.0 or 2.0.0, i use ineternal lensfun code which is trunk implementation from lensfun repository. It include fixes not yet released. I recommend to recompile digiKam without to use lensfun library.

http://www.flickr.com/photos/digikam/5302950369/

Gilles Caulier
Comment 5 Andrew Coles 2011-01-25 20:51:47 UTC
Following testing on my machine, this image crashes digikam if lensfun-0.2.5 is used - the latest released version.  It does not crash digikam if the latest trunk lensfun, or the lensfun that ships with digikam is used.

Given digikam already ships with a copy of the lensfun sources, would it be unreasonable to make digikam only use the copy of lensfun found by cmake if it's at least version 0.2.5.1? (the nominal version number of lensfun trunk)
Comment 6 caulier.gilles 2011-03-20 10:11:04 UTC
*** Bug 266913 has been marked as a duplicate of this bug. ***
Comment 7 caulier.gilles 2011-12-17 18:51:52 UTC
Sergey, Andrew,

The current code of Lensfun from trunk must be released. Lensfun still unreleased since a lots of time now...

Please try to contact Lensfun team. Thanks in advance...

Gilles Caulier
Comment 8 caulier.gilles 2013-01-07 11:53:27 UTC
Git commit 0442e1298d715b83aec3827c10e85c2ce82b66a7 by Gilles Caulier.
Committed on 07/01/2013 at 12:52.
Pushed by cgilles into branch 'master'.

set minimal LensFun library version to 0.2.6
FIXED-IN: 3.0.0

M  +1    -1    CMakeLists.txt
M  +1    -1    README

http://commits.kde.org/digikam/0442e1298d715b83aec3827c10e85c2ce82b66a7